org.eclipse.jgit.errors

## Class NoMergeBaseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.errors.NoMergeBaseException

All Implemented Interfaces:
  Serializable

    public class NoMergeBaseException
    extends IOException

Exception thrown if a merge fails because no merge base could be determined.

Since:
  3.0
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `NoMergeBaseException.MergeBaseFailureReason` An enum listing the different reason why no merge base could be determined.

### Constructor Summary

Constructors
Constructor and Description
`NoMergeBaseException(NoMergeBaseException.MergeBaseFailureReason reason, String message)` Construct a NoMergeBase exception
`NoMergeBaseException(NoMergeBaseException.MergeBaseFailureReason reason, String message, Throwable why)` Construct a NoMergeBase exception

### Method Summary

All Methods Instance Methods Concrete Methods
`NoMergeBaseException.MergeBaseFailureReason` `getReason()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoMergeBaseException

    public NoMergeBaseException(NoMergeBaseException.MergeBaseFailureReason reason,
                                String message)

Construct a NoMergeBase exception

Parameters:
  `reason` - the reason why no merge base could be found
  `message` - a text describing the problem

#### NoMergeBaseException

    public NoMergeBaseException(NoMergeBaseException.MergeBaseFailureReason reason,
                                String message,
                                Throwable why)

Construct a NoMergeBase exception

Parameters:
  `reason` - the reason why no merge base could be found
  `message` - a text describing the problem
  `why` - an exception causing this error

### Method Detail

#### getReason

    public NoMergeBaseException.MergeBaseFailureReason getReason()

Returns:
  the reason why no merge base could be found